### File

`packages/components/eui-card/components/eui-card-footer/eui-card-footer.component.ts`

### Description

The eui-card-footer component projects the footer of the eui-card.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-footer`
templateUrl | `./eui-card-footer.component.html`
styleUrl | `./eui-card-footer.scss`

### Index

###### Properties
actionButtons actionIcons actionMenu actionMenuWrapper string
###### HostBindings
class

### HostBindings

class
Type : `string`
Default value : `'eui-card-footer'`
Binds the class to the component.

### Properties

actionButtons
Type : `QueryList<EuiCardFooterActionButtonsComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

actionIcons
Type : `QueryList<EuiCardFooterActionIconsComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

actionMenu
Type : `QueryList<EuiCardFooterMenuContentComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

actionMenuWrapper
Type : `QueryList<EuiCardFooterMenuComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

string
Type : `string`
Default value : `'eui-card-footer'`
Decorators : `@HostBinding('class')`
Binds the class to the component.

# results matching ""

# No results matching ""